#!/usr/bin/env python
# -*- coding: UTF-8 -*-
def test_wins_1(wins_support, liste_recherche):
#Auteur : Alain Guichard
#05/12/2012
#Fonction testant si le serveur n'est pas déjà client wins avant de le déclarer serveur wins
#                 Ce cas de figure est impossible, d'où affichage d'erreur
    from creole.error import TypeEoleError, DependencyError,FileNotFound, ConfigError
    if wins_support == 'yes' and liste_recherche != "":
        raise TypeEoleError("\nLe serveur NE peut PAS etre\nun serveur wins\nET\nun client wins de %s"%liste_recherche)
    return True

def test_wins_2(liste_recherche, wins_support):
#Auteur : Alain Guichard
#05/12/2012
#Fonction testant si le serveur n'est pas déjà serveur wins avant de le déclarer client wins
#                 Ce cas de figure est impossible, d'où affichage d'erreur
#Remarque: on utilise la fonction "test_wins_1" en intervertissant seulement les paramètres
    test_wins_1(wins_support, liste_recherche)
    return True

def test_resolve_order_01(*args):
#Auteur : Alain Guichard
#07/12/2012
# Fonction initiale donnant juste le numéro du paramètre en doublon
# Cette fonction est remplacée par la fonction "test_resolve_order"
# plus détaillée
    from creole.error import TypeEoleError, DependencyError,FileNotFound, ConfigError
    from pyeole.process import system_out
    for arg in args:
        if arg.startswith("["):
            ev_args = eval(arg)
            assert type(ev_args) == list
            for i in range(len(ev_args)-1):
                if ev_args[i] in ev_args[i+1:len(arg)]:
                    raise TypeEoleError("\nDans l'onglet SAMBA,\nle parametre numero %d ( '%s' )\nde l ordre de resolution de nom est en doublon" % (i+1, ev_args[i]))
    return True

def test_resolve_order(*args):
#Auteur : Alain Guichard
#14/12/2012
#Fonction donnant les paramtres de name resolve order en doublon
#ET leur position dans la chaine.
    from creole.error import TypeEoleError, DependencyError,FileNotFound, ConfigError
    from pyeole.process import system_out
    pos = 1    #Valeur de décalage (l'index d'une liste commence à zéro) et on veut,
               #pour l'affichage à l'utilisateur, indiquer la position du doublon, cad:
               #"la position 1 correspond à l'index 0 de la liste"
    #Récupération de toutes les variables
    for arg in args:
        #Récupération des seules variables "multi"
        if arg.startswith("["):
            #Création du dico doublons
            doublons = {}
            #Déclaration des variables "multi" en liste
            ev_args = eval(arg)
            assert type(ev_args) == list
            # Initialisation du dico doublons => {'variable' : [sa première position dans la liste]}
            for i in range(len(ev_args)-1):
                doublons[ev_args[i]] =[]
                doublons[ev_args[i]].append(ev_args.index(ev_args[i])+pos)
            # Recherche des doublons
            ExisteDoublon = 'False'
            for i in range(len(ev_args)-1):
                Ch_test = ev_args[i]
                List_test = ev_args[i+1:len(arg)]
                if Ch_test in List_test:
                    ExisteDoublon = 'True'
                    #Inscription de la position de la valeur "trouvée"
                    doublons[Ch_test].append( (pos + i) + (pos + List_test.index(Ch_test)) )
            #Création du message à afficher en cas de doublons
            MessageDoublon = ""
            for i in range(len(doublons.keys())):
                if len(doublons[doublons.keys()[i]]) >1:
                    a = str(doublons.keys()[i])
                    MessageDoublon = MessageDoublon + a + " est en doublon en position "
                    for j in range(len(doublons[doublons.keys()[i]])):
                        MessageDoublon = MessageDoublon + str(doublons[doublons.keys()[i]][j]) + " "
                    MessageDoublon = MessageDoublon + "\n"
            #Affichage du message si doublons
            if ExisteDoublon and len(MessageDoublon) !=0:
                raise TypeEoleError("\n\nOnglet SAMBA\nDans l'ordre de resolution de nom le(s) parametre(s):\n%s" % MessageDoublon)
    return True