#!/bin/bash
# ${eq_serv_type} ${eq_serv_nom}
### ajout cryptage, ajout date install et remontées en centre serveur
p_version="0.9.9.c"
p_date="2011.04.11"
p_nom=${0##*/}
p_projet=version
/bin/echo "$p_nom: stat sur version"
source /etc/sysconfig/.site
source /usr/share/${eq_modele}/param.source

### Attente
SLEEP=100000
#Attente moyenne de 10 minutes (0 à 20)
while [ $SLEEP -gt 1200 ]
do
           SLEEP=$RANDOM
done
[ "$1" = "NOSLEEP" ] || sleep $SLEEP

#
# ajout V2
[ ! -d "/usr/share/${eq_modele}/modeles" ] && /bin/mkdir /usr/share/${eq_modele}/modeles
cd /usr/share/${eq_modele}/modeles
[ ! -s "/usr/share/${eq_modele}/modeles/cle_log" ] && /usr/bin/wget -q --no-proxy "http://${eq_site}/${eq_modele}/modeles/cle_log"


#LOG
/bin/mkdir -p ${eq_rep_log}
FIC=stat_${p_projet}_${eq_serv_ip}.log
LOG=${eq_rep_log}/$FIC

/bin/touch $LOG
D="`date`"
/bin/echo "date=\"$D\"" > $LOG
if   [ -r /etc/sysconfig/.version ] ; then
 cat /etc/sysconfig/.version >> $LOG
elif [ -r /usr/share/${eq_modele}/.version ] ; then
 cat /usr/share/${eq_modele}/.version >> $LOG
else
 /bin/echo "VER=inconnue" >> $LOG
fi
cat /etc/sysconfig/.site >> $LOG
cat /usr/share/${eq_modele}/param.source >> $LOG
# Version de samba
VA=`/usr/sbin/smbd -V | cut -d ' ' -f 2`
if [ "$VA" = "" ]; then
   VA="0.0.0"
fi
/bin/echo "eq_serv_samba=${VA}" >> $LOG
#Version du noyau
/bin/echo "eq_serv_kernel=`uname -r`" >> $LOG
### date d'installation. Celle du FS si machine à l'heure
DCR=`/bin/df / | /usr/bin/awk '{print $1}' | grep dev | /usr/bin/xargs /sbin/tune2fs -l | grep create |  /usr/bin/awk '{print  "\""$7 "-" $4 "-" $5,$6 "\""}'| sed 's/Jan/01/'| sed 's/Feb/02/'| sed 's/Mar/03/'| sed 's/Apr/04/'| sed 's/May/05/'| sed 's/Jun/06/'| sed 's/Jul/07/'| sed 's/Aug/08/'| sed 's/Sep/09/'| sed 's/Oct/10/'| sed 's/Nov/11/'| sed 's/Dec/12/'`
echo "eq_dcrea=$DCR" >> $LOG
if [ -x /etc/rc2.d/S20samba4wins ] ; then
   /bin/echo "eq_samba4wins=1" >> $LOG
else
   /bin/echo "eq_samba4wins=0" >> $LOG
fi


#### Cryptage de $FIC
/usr/bin/openssl enc -aes256 -in ${LOG} -out ${LOG}.enc -kfile /usr/share/${eq_modele}/modeles/cle_log
#cat $LOG
/usr/bin/ftp -n %%stats_serveur_ftp << EOF
user %%stats_user_ftp
passive
cd /depot/equidomaine
lcd  ${eq_rep_log}
binary
put $FIC.enc
quit
EOF

#Remonté des stats en Centrale
/usr/bin/ftp -n %%stats_serveur << EOF
user %%stats_user
passive
cd /depot/stat
lcd  ${eq_rep_log}
binary
put $FIC.enc
quit
EOF

echo Fini



